Page MenuHomePhabricator

Merge as many configuration hacks in wikitech.php configuration file as possible into InitialiseSettings.php
Closed, ResolvedPublic

Event Timeline

greg created this task.Nov 25 2014, 11:01 PM
greg raised the priority of this task from to Normal.
greg updated the task description. (Show Details)
greg added projects: Deployments, acl*sre-team.
greg changed Security from none to None.
greg added subscribers: Unknown Object (MLST), scfc, greg and 7 others.

I'd particularly like to understand what's broken with the Parsoid puppetisation so that it has to be disabled there, as part of this normalisation process. :-)

greg moved this task from To Triage to Backlog (Tech) on the Deployments board.Nov 25 2014, 11:14 PM

I'd particularly like to understand what's broken with the Parsoid puppetisation so that it has to be disabled there, as part of this normalisation process. :-)

@GWicke ? :)

@greg: I have no idea what's up with wikitech. The parsoid puppetization sucks, but afaik it's not an issue for wikitech.

Change 218098 had a related patch set uploaded (by Alex Monk):
Pull out unnecessary wikitech settings, move some into CommonSettings

https://gerrit.wikimedia.org/r/218098

Krenair claimed this task.Jun 13 2015, 8:39 PM

(For the record, I think we fixed Parsoid there at some point, somehow, because VE works there. Next challenge in that area is T102178: Fix RESTBase support for wikitech.wikimedia.org.)

Change 218098 merged by jenkins-bot:
Pull out unnecessary wikitech settings, move some into CommonSettings

https://gerrit.wikimedia.org/r/218098

Restricted Application added a project: Cloud-Services. · View Herald TranscriptJun 25 2015, 5:42 PM

(Re-did the above in https://gerrit.wikimedia.org/r/#/c/220847/, after I reverted the first one due to that particular deployment being unlucky and crashing half of the cluster through T103886. Seems okay.)

Only other thing that stands out as needing to go is $wgOpenStackManagerProxyGateways['pmtpa']. I don't know if we want to do something related to OpenID...

Change 221009 had a related patch set uploaded (by Alex Monk):
More wikitech cleanup

https://gerrit.wikimedia.org/r/221009

Change 221009 merged by jenkins-bot:
More wikitech cleanup

https://gerrit.wikimedia.org/r/221009

Change 221729 had a related patch set uploaded (by Alex Monk):
More wikitech cleanup

https://gerrit.wikimedia.org/r/221729

I think we can probably resolve this after the above commit goes in. It just leaves wikitech-specific extensions' settings (where they're not defaults) in wikitech.php.

Change 221729 merged by jenkins-bot:
More wikitech cleanup

https://gerrit.wikimedia.org/r/221729

Krenair closed this task as Resolved.Jun 29 2015, 11:23 PM

Let's call this resolved. Not much point moving all of that wikitech-specific-extension stuff out.